Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class PlatformPlugin

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.phonon.PlatformPlugin

All Implemented Interfaces:
  PlatformPluginInterface, com.trolltech.qt.QtJambiInterface

    public abstract class PlatformPlugin

extends com.trolltech.qt.QtJambiObject
implements PlatformPluginInterface

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QtJambiObject
`com.trolltech.qt.QtJambiObject.QPrivateConstructor`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`com.trolltech.qt.QSignalEmitter.AbstractSignal, com.trolltech.qt.QSignalEmitter.Signal0, com.trolltech.qt.QSignalEmitter.Signal1<A>, com.trolltech.qt.QSignalEmitter.Signal2<A,B>, com.trolltech.qt.QSignalEmitter.Signal3<A,B,C>, com.trolltech.qt.QSignalEmitter.Signal4<A,B,C,D>, com.trolltech.qt.QSignalEmitter.Signal5<A,B,C,D,E>, com.trolltech.qt.QSignalEmitter.Signal6<A,B,C,D,E,F>, com.trolltech.qt.QSignalEmitter.Signal7<A,B,C,D,E,F,G>, com.trolltech.qt.QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, com.trolltech.qt.QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `PlatformPlugin()` This method is internal to Qt Jambi.
`protected` | `PlatformPlugin(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)` This method is internal to Qt Jambi.

Method Summary
`long` | `__qt_cast_to_PlatformPlugin(long ptr)` This method is internal to Qt Jambi.
`abstract java.lang.String` | `applicationName()` This method is internal to Qt Jambi.
`abstract com.trolltech.qt.core.QObject` | `createBackend()` This method is internal to Qt Jambi.
`abstract com.trolltech.qt.core.QObject` | `createBackend(java.lang.String library, java.lang.String version)` This method is internal to Qt Jambi.
`abstract AbstractMediaStream` | `createMediaStream(com.trolltech.qt.core.QUrl url, com.trolltech.qt.core.QObject parent)` This method is internal to Qt Jambi.
`static PlatformPlugin` | `fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)` This method is internal to Qt Jambi.
`abstract com.trolltech.qt.gui.QIcon` | `icon(java.lang.String name)` This method is internal to Qt Jambi.
`abstract boolean` | `isMimeTypeAvailable(java.lang.String mimeType)` This method is internal to Qt Jambi.
`abstract double` | `loadVolume(java.lang.String outputName)` This method is internal to Qt Jambi.
`void` | `notification(java.lang.String notificationName, java.lang.String text)` This method is internal to Qt Jambi.
`void` | `notification(java.lang.String notificationName, java.lang.String text, java.util.List<java.lang.String> actions)` This method is internal to Qt Jambi.
`void` | `notification(java.lang.String notificationName, java.lang.String text, java.util.List<java.lang.String> actions, com.trolltech.qt.core.QObject receiver)` This method is internal to Qt Jambi.
`abstract void` | `notification(java.lang.String notificationName, java.lang.String text, java.util.List<java.lang.String> actions, com.trolltech.qt.core.QObject receiver, java.lang.String actionSlot)` This method is internal to Qt Jambi.
`abstract void` | `saveVolume(java.lang.String outputName, double volume)` This method is internal to Qt Jambi.

Methods inherited from class com.trolltech.qt.QtJambiObject
`disableGarbageCollection, dispose, disposed, equals, finalize, nativeId, nativePointer, reassignNativeResources, reenableGarbageCollection, setJavaOwnership, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`__qt_signalInitialization, blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### PlatformPlugin

    public PlatformPlugin()

  This method is internal to Qt Jambi.

### PlatformPlugin

    protected PlatformPlugin(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)

  This method is internal to Qt Jambi.

Method Detail

### applicationName

    public abstract java.lang.String applicationName()

  This method is internal to Qt Jambi.

  Specified by:
    `applicationName` in interface `PlatformPluginInterface`

### createBackend

    public abstract com.trolltech.qt.core.QObject createBackend()

  This method is internal to Qt Jambi.

  Specified by:
    `createBackend` in interface `PlatformPluginInterface`

### createBackend

    public abstract com.trolltech.qt.core.QObject createBackend(java.lang.String library,
                                                                java.lang.String version)

  This method is internal to Qt Jambi.

  Specified by:
    `createBackend` in interface `PlatformPluginInterface`

### createMediaStream

    public abstract AbstractMediaStream createMediaStream(com.trolltech.qt.core.QUrl url,
                                                          com.trolltech.qt.core.QObject parent)

  This method is internal to Qt Jambi.

  Specified by:
    `createMediaStream` in interface `PlatformPluginInterface`

### icon

    public abstract com.trolltech.qt.gui.QIcon icon(java.lang.String name)

  This method is internal to Qt Jambi.

  Specified by:
    `icon` in interface `PlatformPluginInterface`

### isMimeTypeAvailable

    public abstract boolean isMimeTypeAvailable(java.lang.String mimeType)

  This method is internal to Qt Jambi.

  Specified by:
    `isMimeTypeAvailable` in interface `PlatformPluginInterface`

### loadVolume

    public abstract double loadVolume(java.lang.String outputName)

  This method is internal to Qt Jambi.

  Specified by:
    `loadVolume` in interface `PlatformPluginInterface`

### notification

    public final void notification(java.lang.String notificationName,
                                   java.lang.String text,
                                   java.util.List<java.lang.String> actions,
                                   com.trolltech.qt.core.QObject receiver)

  This method is internal to Qt Jambi.

### notification

    public final void notification(java.lang.String notificationName,
                                   java.lang.String text,
                                   java.util.List<java.lang.String> actions)

  This method is internal to Qt Jambi.

### notification

    public final void notification(java.lang.String notificationName,
                                   java.lang.String text)

  This method is internal to Qt Jambi.

### notification

    public abstract void notification(java.lang.String notificationName,
                                      java.lang.String text,
                                      java.util.List<java.lang.String> actions,
                                      com.trolltech.qt.core.QObject receiver,
                                      java.lang.String actionSlot)

  This method is internal to Qt Jambi.

  Specified by:
    `notification` in interface `PlatformPluginInterface`

### saveVolume

    public abstract void saveVolume(java.lang.String outputName,
                                    double volume)

  This method is internal to Qt Jambi.

  Specified by:
    `saveVolume` in interface `PlatformPluginInterface`

### fromNativePointer

    public static PlatformPlugin fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)

  This method is internal to Qt Jambi.

### __qt_cast_to_PlatformPlugin

    public long __qt_cast_to_PlatformPlugin(long ptr)

  This method is internal to Qt Jambi.

  Specified by:
    `__qt_cast_to_PlatformPlugin` in interface `PlatformPluginInterface`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD